cdac.medinfo.sdk.hl7282.baselibs.segments

## Class IN3

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.IN3

- All Implemented Interfaces:
    ISegment

      public class IN3
      extends Segment

  IN3 - Insurance Additional Information, Certification Segment.

  The IN3 segment contains additional insurance information for certifying the need for patient care. Fields used by this segment are defined by CMS, or other regulatory agencies.

  Represents an HL7 IN3 message segment. This segment has the following fields:

  IN3-1: Set ID - IN3 (SI)Required
  IN3-2: Certification Number (CX)Optional
  IN3-3: Certified By (XCN)Optional
  IN3-4: Certification Required (ID)Optional
  IN3-5: Penalty (MOP)Optional
  IN3-6: Certification Date/Time (DTM)Optional
  IN3-7: Certification Modify Date/Time (DTM)Optional
  IN3-8: Operator (XCN)Optional
  IN3-9: Certification Begin Date (DT)Optional
  IN3-10: Certification End Date (DT)Optional
  IN3-11: Days (DTN)Optional
  IN3-12: Non-Concur Code/Description (CWE)Optional
  IN3-13: Non-Concur Effective Date/Time (DTM)Optional
  IN3-14: Physician Reviewer (XCN)Optional
  IN3-15: Certification Contact (ST)Optional
  IN3-16: Certification Contact Phone Number (XTN)Optional
  IN3-17: Appeal Reason (CWE)Optional
  IN3-18: Certification Agency (CWE)Optional
  IN3-19: Certification Agency Phone Number (XTN)Optional
  IN3-20: Pre-Certification Requirement (ICD)Optional
  IN3-21: Case Manager (ST)Optional
  IN3-22: Second Opinion Date (DT)Optional
  IN3-23: Second Opinion Status (CWE)Optional
  IN3-24: Second Opinion Documentation Received (CWE)Optional
  IN3-25: Second Opinion Physician (XCN)Optional
  IN3-26: Certification Type (CWE)Optional
  IN3-27: Certification Category (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IN3()` Constructs the IN3 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCertificationAgencyPhNo(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Certification Agency PhNo.
    `void` | `addCertificationAgencyPhNo(XTN objcertificationAgencyPhNo)` Set the Certification Agency PhNo.
    `void` | `addCertificationContactPhNo(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Certification Contact PhNo.
    `void` | `addCertificationContactPhNo(XTN objcertificationContactPhNo)` Set the Certification Contact PhNo.
    `void` | `addCertifiedBy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Certified By.
    `void` | `addCertifiedBy(XCN objCertifiedBy)` Set the Certified By.
    `void` | `addOperator(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Operator.
    `void` | `addOperator(XCN objOperator)` Set the Operator.
    `void` | `addPhysicianReviewer(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Physician Reviewer.
    `void` | `addPhysicianReviewer(XCN objPhysicianReviewer)` Set the Physician Reviewer.
    `void` | `addPrecertificationRequirement(CWE objCertificationPatientType, java.lang.String strcertificationRequired, DTM objDateOrTimecertificationRequired)` Set the Precertification Requirement.
    `void` | `addPrecertificationRequirement(ICD objPrecertificationRequirement)` Set the Precertification Requirement.
    `void` | `addSecondOpinionDocumentationReceived(CWE objSecondOpinionDocumentationReceived)` Set the Second Opinion Documentation Received.
    `void` | `addSecondOpinionDocumentationReceived(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Second Opinion Documentation Received.
    `void` | `addSecondOpinionPhysician(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Second Opinion Physician.
    `void` | `addSecondOpinionPhysician(XCN objSecondOpinionPhysician)` Set the Second Opinion Physician.
    `CWE` | `getAppealReason()` Retrieves the Appeal Reason.
    `ST` | `getCaseManager()` Retrieves the Case Manager.
    `CWE` | `getCertificationAgency()` Retrieves the Certification Agency.
    `ISingleCollection<XTN>` | `getCertificationAgencyPhNo()` Retrieves the Certification Agency PhNo.
    `DT` | `getCertificationBeginDt()` Retrieves the Certification Begin Dt.
    `CWE` | `getCertificationCategory()` Retrieves the Certification Category.
    `ST` | `getCertificationContact()` Retrieves the Certification Contact.
    `ISingleCollection<XTN>` | `getCertificationContactPhNo()` Retrieves the Certification Contact PhNo.
    `DTM` | `getCertificationDtOrTm()` Retrieves the Certification Dt Or Tm.
    `DT` | `getCertificationEndDt()` Retrieves the Certification End Dt.
    `DTM` | `getCertificationModifyDtOrTm()` Retrieves the Certification Modify Dt Or Tm.
    `CX` | `getCertificationNo()` Retrieves the Certification No.
    `ID` | `getCertificationRequired()` Retrieves the Certification Required.
    `CWE` | `getCertificationType()` Retrieves the Certification Type.
    `ISingleCollection<XCN>` | `getCertifiedBy()` Retrieves the Certified By.
    `DTN` | `getDays()` Retrieves the Days.
    `CWE` | `getNonConcurCodeOrDesc()` Retrieves the Non Concur Code Or Desc.
    `DTM` | `getNonConcurEffectiveDtOrTm()` Retrieves the Non Concur Effective Dt Or Tm.
    `ISingleCollection<XCN>` | `getOperator()` Retrieves the Operator.
    `MOP` | `getPenalty()` Retrieves the Penalty.
    `ISingleCollection<XCN>` | `getPhysicianReviewer()` Retrieves the Physician Reviewer.
    `ISingleCollection<ICD>` | `getPrecertificationRequirement()` Retrieves the Precertification Requirement.
    `DT` | `getSecondOpinionDate()` Retrieves the Second Opinion Date.
    `ISingleCollection<CWE>` | `getSecondOpinionDocumentationReceived()` Retrieves the Second Opinion Documentation Received.
    `ISingleCollection<XCN>` | `getSecondOpinionPhysician()` Retrieves the Second Opinion Physician.
    `CWE` | `getSecondOpinionStatus()` Retrieves the Second Opinion Status.
    `SI` | `getSetID_IN3()` Retrieves the Set ID IN3.
    `void` | `setAppealReason(CWE objappealReason)` Set the Appeal Reason.
    `void` | `setAppealReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Appeal Reason.
    `void` | `setCaseManager(ST objcaseManager)` Set the Case Manager.
    `void` | `setCaseManager(java.lang.String strCaseManager)` Set the Case Manager.
    `void` | `setCertificationAgency(CWE objcertificationAgency)` Set the Certification Agency.
    `void` | `setCertificationAgency(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Certification Agency.
    `void` | `setCertificationAgencyPhNo(ISingleCollection<XTN> objCertificationAgencyPhNoList)` Set the CertificationAgencyPhNo list.
    `void` | `setCertificationBeginDt(DT objcertificationBeginDt)` Set the Certification Begin Dt.
    `void` | `setCertificationBeginDt(java.lang.String strcertificationBeginDt)` Set the Certification Begin Dt.
    `void` | `setCertificationCategory(CWE objCertificationCategory)` Set the Certification Category.
    `void` | `setCertificationCategory(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Certification Category.
    `void` | `setCertificationContact(ST objcertificationContact)` Set the Certification Contact.
    `void` | `setCertificationContact(java.lang.String strCertificationContact)` Set the Certification Contact.
    `void` | `setCertificationContactPhNo(ISingleCollection<XTN> objCertificationContactPhNoList)` Set the CertificationContactPhNo list.
    `void` | `setCertificationDtOrTm(DTM objcertificationDtOrTm)` Set the Certification Dt Or Tm.
    `void` | `setCertificationDtOrTm(java.lang.String strTime)` Set the Certification Dt Or Tm.
    `void` | `setCertificationEndDt(DT objcertificationEndDt)` Set the Certification End Dt.
    `void` | `setCertificationEndDt(java.lang.String strcertificationEndDt)` Set the Certification End Dt.
    `void` | `setCertificationModifyDateOrTime(DTM objcertificationModifyDtOrTm)` Set the Certification Modify Dt Or Tm.
    `void` | `setCertificationModifyDateOrTime(java.lang.String strTime)` Set the Certification Modify Dt Or Tm.
    `void` | `setCertificationNo(CX objcertificationNo)` Set the Certification No.
    `void` | `setCertificationNo(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Certification No.
    `void` | `setCertificationRequired(ID objcertificationRequired)` Set the Certification Required.
    `void` | `setCertificationRequired(java.lang.String strcertificationRequired)` Set the Certification Required.
    `void` | `setCertificationType(CWE objCertificationType)` Set the Certification Type.
    `void` | `setCertificationType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Certification Type.
    `void` | `setCertifiedBy(ISingleCollection<XCN> objCertifiedByList)` Set the CertifiedBy list.
    `void` | `setDays(CWE objDayType, java.lang.String strNumberOfDays)` Set the Days.
    `void` | `setDays(DTN objdays)` Set the Days.
    `void` | `setNonConcurCodeOrDesc(CWE objnonConcurCodeOrDesc)` Set the Non Concur Code Or Desc.
    `void` | `setNonConcurCodeOrDesc(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Non Concur Code Or Desc.
    `void` | `setnonConcurEffectiveDtOrTm(DTM objnonConcurEffectiveDtOrTm)` Set the Non Concur Effective Dt Or Tm.
    `void` | `setnonConcurEffectiveDtOrTm(java.lang.String strTime)` Set the Non Concur Effective Dt Or Tm.
    `void` | `setOperator(ISingleCollection<XCN> objOperatorList)` Set the Operator list.
    `void` | `setPenalty(MOP objpenalty)` Set the Penalty.
    `void` | `setPenalty(java.lang.String strMoneyOrPercentageIndicator, java.lang.String strMoneyOrPercentageQuantity, java.lang.String strCurrencyDenomination)` Set the Penalty.
    `void` | `setPhysicianReviewer(ISingleCollection<XCN> objPhysicianReviewerList)` Set the PhysicianReviewer list.
    `void` | `setPrecertificationRequirement(ISingleCollection<ICD> objPrecertificationRequirementList)` Set the PrecertificationRequirement list.
    `void` | `setSecondOpinionDate(DT objsecondOpinionDate)` Set the Second Opinion Date.
    `void` | `setSecondOpinionDate(java.lang.String strSecondOpinionDate)` Set the Second Opinion Date.
    `void` | `setSecondOpinionDocumentationReceived(ISingleCollection<CWE> objSecondOpinionDocumentationReceivedList)` Set the SecondOpinionDocumentationReceived list.
    `void` | `setSecondOpinionPhysician(ISingleCollection<XCN> objSecondOpinionPhysicianList)` Set the SecondOpinionPhysician list.
    `void` | `setSecondOpinionStatus(CWE objsecondOpinionStatus)` Set the Second Opinion Status.
    `void` | `setSecondOpinionStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Second Opinion Status.
    `void` | `setSetID_IN3(SI objsetID_IN3)` Set the Set ID IN3.
    `void` | `setSetID_IN3(java.lang.String strSequenceID)` Set the Set ID IN3.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IN3

          public IN3()

      Constructs the IN3 segment.

  - ### Method Detail

    - #### getAppealReason

          public CWE getAppealReason()

      Retrieves the Appeal Reason. This field contains the reason that an appeal is made on a non-concur for certification.
      Returns:
        CWE - appealReason

    - #### getCaseManager

          public ST getCaseManager()

      Retrieves the Case Manager. This field contains the name of the entity, which is handling this particular patient's case.
      Returns:
        String - caseManager

    - #### getCertificationAgency

          public CWE getCertificationAgency()

      Retrieves the Certification Agency.
      Returns:
        CWE - certificationAgency

    - #### getCertificationAgencyPhNo

          public ISingleCollection<XTN> getCertificationAgencyPhNo()

      Retrieves the Certification Agency PhNo.
      Returns:
        ISingleCollection - certificationAgencyPhNo

    - #### getCertificationBeginDt

          public DT getCertificationBeginDt()

      Retrieves the Certification Begin Dt.
      Returns:
        String - certificationBeginDt

    - #### getCertificationContact

          public ST getCertificationContact()

      Retrieves the Certification Contact. This field contains the name of the party contacted at the certification agency who granted the certification and communicated the certification number.
      Returns:
        String - certificationContact

    - #### getCertificationContactPhNo

          public ISingleCollection<XTN> getCertificationContactPhNo()

      Retrieves the Certification Contact PhNo. This field contains the phone number of the certification contact. Multiple phone numbers for the same certification contact may be sent in this sequence.
      Returns:
        ISingleCollection - certificationContactPhNo

    - #### getCertificationDtOrTm

          public DTM getCertificationDtOrTm()

      Retrieves the Certification Dt Or Tm. This field contains the date and time stamp that indicates when insurance is certified to exist for the patient.
      Returns:
        DTM - certificationDtOrTm

    - #### getCertificationEndDt

          public DT getCertificationEndDt()

      Retrieves the Certification End Dt. This field contains date that this certification ends.
      Returns:
        String - certificationEndDt

    - #### getCertificationModifyDtOrTm

          public DTM getCertificationModifyDtOrTm()

      Retrieves the Certification Modify Dt Or Tm. This field contains the date/time that the certification is modify.
      Returns:
        DTM - certificationModifyDtOrTm

    - #### getCertificationNo

          public CX getCertificationNo()

      Retrieves the Certification No. This field contains the number assigned by the certification agency.
      Returns:
        CX - certificationNo

    - #### getCertificationRequired

          public ID getCertificationRequired()

      Retrieves the Certification Required. This field indicates whether certification is required or not.
      Returns:
        String - certificationRequired

    - #### getCertifiedBy

          public ISingleCollection<XCN> getCertifiedBy()

      Retrieves the Certified By. This field contains the party that approved the certification.
      Returns:
        ISingleCollection - certifiedBy

    - #### getDays

          public DTN getDays()

      Retrieves the Days. This field contains the number of days for which this certification is valid. This field applies to denied, pending, or approved days.
      Returns:
        DTN - days

    - #### getNonConcurCodeOrDesc

          public CWE getNonConcurCodeOrDesc()

      Retrieves the Non Concur Code Or Desc. This field contains the non-concur code and description for a denied request.
      Returns:
        CWE - nonConcurCodeOrDesc

    - #### getNonConcurEffectiveDtOrTm

          public DTM getNonConcurEffectiveDtOrTm()

      Retrieves the Non Concur Effective Dt Or Tm. This field contains the effective date of the non-concurrence classification.
      Returns:
        DTM - nonConcurEffectiveDtOrTm

    - #### getOperator

          public ISingleCollection<XCN> getOperator()

      Retrieves the Operator. This field contains the name party who is responsible for sending this certification information.
      Returns:
        ISingleCollection - operator

    - #### getPenalty

          public MOP getPenalty()

      Retrieves the Penalty. This field contains the penalty, in dollars or a percentage that will be assessed if the pre-certification is not performed.
      Returns:
        MOP - penalty

    - #### getPhysicianReviewer

          public ISingleCollection<XCN> getPhysicianReviewer()

      Retrieves the Physician Reviewer. This field contains the physician who works with and reviews cases that are pending physician review for the certification agency. Multiple names for the same person may be sent in this sequence.
      Returns:
        ISingleCollection - physicianReviewer

    - #### getPrecertificationRequirement

          public ISingleCollection<ICD> getPrecertificationRequirement()

      Retrieves the Precertification Requirement. This field indicates whether pre-certification is required for particular patient types, and the time window for obtaining the certification.
      Returns:
        ISingleCollection - precertificationRequirement

    - #### getSecondOpinionDate

          public DT getSecondOpinionDate()

      Retrieves the Second Opinion Date. This field contains the date that the second opinion is obtained.
      Returns:
        String - secondOpinionDate

    - #### getSecondOpinionDocumentationReceived

          public ISingleCollection<CWE> getSecondOpinionDocumentationReceived()

      Retrieves the Second Opinion Documentation Received. This field if accompanying documentation has been received by the provider.
      Returns:
        ISingleCollection - secondOpinionDocumentationReceived

    - #### getSecondOpinionPhysician

          public ISingleCollection<XCN> getSecondOpinionPhysician()

      Retrieves the Second Opinion Physician. This field contains an identifier and name of the physician who provided the second opinion. Multiple names and identifiers for the same person may be sent in this sequence.
      Returns:
        ISingleCollection - secondOpinionPhysician

    - #### getSecondOpinionStatus

          public CWE getSecondOpinionStatus()

      Retrieves the Second Opinion Status. This field contains the code that represents the status of the second opinion.
      Returns:
        String - secondOpinionStatus

    - #### getSetID_IN3

          public SI getSetID_IN3()

      Retrieves the Set ID IN3. This field contains the number that identifies this transaction.
      Returns:
        String - setID_IN3

    - #### getCertificationType

          public CWE getCertificationType()

      Retrieves the Certification Type. This field contains the certification type code for a specific certification.
      Returns:
        String - CertificationType

    - #### getCertificationCategory

          public CWE getCertificationCategory()

      Retrieves the Certification Category. This field contains the certification category code for a specific certification.
      Returns:
        String - CertificationCategory

    - #### setAppealReason

          public void setAppealReason(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Appeal Reason. This field contains the reason that an appeal is made on a non-concur for certification.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAppealReason

          public void setAppealReason(CWE objappealReason)

      Set the Appeal Reason. This field contains the reason that an appeal is made on a non-concur for certification.
      Parameters:
        `objappealReason` -

    - #### setCaseManager

          public void setCaseManager(java.lang.String strCaseManager)

      Set the Case Manager. This field contains the name of the entity, which is handling this particular patient's case.
      Parameters:
        `strCaseManager` - The name of the entity

    - #### setCaseManager

          public void setCaseManager(ST objcaseManager)

      Set the Case Manager. This field contains the name of the entity, which is handling this particular patient's case.
      Parameters:
        `objcaseManager` -

    - #### setCertificationAgency

          public void setCertificationAgency(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Certification Agency.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCertificationAgency

          public void setCertificationAgency(CWE objcertificationAgency)

      Set the Certification Agency.
      Parameters:
        `objcertificationAgency` - Certification Agency.

    - #### addCertificationAgencyPhNo

          public void addCertificationAgencyPhNo(java.lang.String strTeleCommunicationUseCode,
                                        java.lang.String strTeleCommunicationEquipmentType,
                                        java.lang.String strCommuinicationAddress,
                                        java.lang.String strCountryCode,
                                        java.lang.String strAreaCityCode,
                                        java.lang.String strLocalNumber,
                                        java.lang.String strExtension,
                                        java.lang.String strAnyText,
                                        java.lang.String strExtensionPrefix,
                                        java.lang.String strSpeedDialCode,
                                        java.lang.String strUnformattedTelephoneNumber,
                                        java.lang.String strEffectiveStartDate,
                                        java.lang.String strExpirationDate,
                                        CWE objExpirationReason,
                                        CWE objProtectionCode,
                                        EI objSharedTelecommunicationIdentifier,
                                        java.lang.String strPreferenceOrder)

      Set the Certification Agency PhNo.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addCertificationAgencyPhNo

          public void addCertificationAgencyPhNo(XTN objcertificationAgencyPhNo)

      Set the Certification Agency PhNo.
      Parameters:
        `objcertificationAgencyPhNo` -

    - #### setCertificationAgencyPhNo

          public void setCertificationAgencyPhNo(ISingleCollection<XTN> objCertificationAgencyPhNoList)

      Set the CertificationAgencyPhNo list.
      Parameters:
        `objCertificationAgencyPhNoList` - List of CertificationAgencyPhNo

    - #### setCertificationBeginDt

          public void setCertificationBeginDt(java.lang.String strcertificationBeginDt)

      Set the Certification Begin Dt.
      Parameters:
        `strcertificationBeginDt` - .Date from which certificationification is Valid

    - #### setCertificationBeginDt

          public void setCertificationBeginDt(DT objcertificationBeginDt)

      Set the Certification Begin Dt.
      Parameters:
        `objcertificationBeginDt` - .Date from which certificationification is Valid

    - #### setCertificationContact

          public void setCertificationContact(java.lang.String strCertificationContact)

      Set the Certification Contact. This field contains the name of the party contacted at the certification agency who granted the certification and communicated the certification number.
      Parameters:
        `strCertificationContact` - The name of the party

    - #### setCertificationContact

          public void setCertificationContact(ST objcertificationContact)

      Set the Certification Contact. This field contains the name of the party contacted at the certification agency who granted the certification and communicated the certification number.
      Parameters:
        `objcertificationContact` - The name of the party

    - #### addCertificationContactPhNo

          public void addCertificationContactPhNo(java.lang.String strTeleCommunicationUseCode,
                                         java.lang.String strTeleCommunicationEquipmentType,
                                         java.lang.String strCommuinicationAddress,
                                         java.lang.String strCountryCode,
                                         java.lang.String strAreaCityCode,
                                         java.lang.String strLocalNumber,
                                         java.lang.String strExtension,
                                         java.lang.String strAnyText,
                                         java.lang.String strExtensionPrefix,
                                         java.lang.String strSpeedDialCode,
                                         java.lang.String strUnformattedTelephoneNumber,
                                         java.lang.String strEffectiveStartDate,
                                         java.lang.String strExpirationDate,
                                         CWE objExpirationReason,
                                         CWE objProtectionCode,
                                         EI objSharedTelecommunicationIdentifier,
                                         java.lang.String strPreferenceOrder)

      Set the Certification Contact PhNo. This field contains the phone number of the certification contact. Multiple phone numbers for the same certification contact may be sent in this sequence.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addCertificationContactPhNo

          public void addCertificationContactPhNo(XTN objcertificationContactPhNo)

      Set the Certification Contact PhNo. This field contains the phone number of the certification contact. Multiple phone numbers for the same certification contact may be sent in this sequence.
      Parameters:
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.

    - #### setCertificationContactPhNo

          public void setCertificationContactPhNo(ISingleCollection<XTN> objCertificationContactPhNoList)

      Set the CertificationContactPhNo list.
      Parameters:
        `objCertificationContactPhNoList` - List of CertificationContactPhNo

    - #### setCertificationDtOrTm

          public void setCertificationDtOrTm(java.lang.String strTime)

      Set the Certification Dt Or Tm. This field contains the date and time stamp that indicates when insurance is certified to exist for the patient.
      Parameters:
        `strTime` - The point in time

    - #### setCertificationDtOrTm

          public void setCertificationDtOrTm(DTM objcertificationDtOrTm)

      Set the Certification Dt Or Tm. This field contains the date and time stamp that indicates when insurance is certified to exist for the patient.
      Parameters:
        `objcertificationDtOrTm` -

    - #### setCertificationEndDt

          public void setCertificationEndDt(java.lang.String strcertificationEndDt)

      Set the Certification End Dt. This field contains date that this certification ends.
      Parameters:
        `strcertificationEndDt` - Date till which certificationification is Valid

    - #### setCertificationEndDt

          public void setCertificationEndDt(DT objcertificationEndDt)

      Set the Certification End Dt. This field contains date that this certification ends.
      Parameters:
        `objcertificationEndDt` - Date till which certificationification is Valid

    - #### setCertificationModifyDateOrTime

          public void setCertificationModifyDateOrTime(java.lang.String strTime)

      Set the Certification Modify Dt Or Tm. This field contains the date/time that the certification is modify.
      Parameters:
        `strTime` - The point in time

    - #### setCertificationModifyDateOrTime

          public void setCertificationModifyDateOrTime(DTM objcertificationModifyDtOrTm)

      Set the Certification Modify Dt Or Tm. This field contains the date/time that the certification is modify.
      Parameters:
        `objcertificationModifyDtOrTm` -

    - #### setCertificationNo

          public void setCertificationNo(java.lang.String strIDNumber,
                                java.lang.String strCheckDigit,
                                java.lang.String strCheckDigitScheme,
                                HD objAssigningAuthority,
                                java.lang.String strIdentifierTypeCode,
                                HD objAssigningFacility,
                                java.lang.String strEffectiveDate,
                                java.lang.String strExpirationDate,
                                CWE objAssigningJurisdiction,
                                CWE objAssigningAgencyOrDepartment,
                                java.lang.String strSecurityCheck,
                                java.lang.String strSecurityCheckScheme)

      Set the Certification No. This field contains the number assigned by the certification agency.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### setCertificationNo

          public void setCertificationNo(CX objcertificationNo)

      Set the Certification No. This field contains the number assigned by the certification agency.
      Parameters:
        `objcertificationNo` -

    - #### setCertificationRequired

          public void setCertificationRequired(java.lang.String strcertificationRequired)

      Set the Certification Required. This field indicates whether certification is required or not.
      Parameters:
        `strcertificationRequired` - : Y/N

    - #### setCertificationRequired

          public void setCertificationRequired(ID objcertificationRequired)

      Set the Certification Required. This field indicates whether certification is required or not.
      Parameters:
        `objcertificationRequired` -

    - #### addCertifiedBy

          public void addCertifiedBy(java.lang.String strIDNumber,
                            FN objFamilyName,
                            java.lang.String strGivenName,
                            java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                            java.lang.String strSuffix,
                            java.lang.String strPrefix,
                            CWE objSourceTable,
                            HD objAssigningAuthority,
                            java.lang.String strNameTypeCode,
                            java.lang.String strIdentifierCheckDigit,
                            java.lang.String strCheckDigitScheme,
                            java.lang.String strIdentifierTypeCode,
                            HD objAssigningFacility,
                            java.lang.String strNameRepresentationCode,
                            CWE objNameContext,
                            java.lang.String strNameAssemblyOrder,
                            java.lang.String strEffectiveDate,
                            java.lang.String strExpirationDate,
                            java.lang.String strProfessionalSuffix,
                            CWE objAssigningJurisdiction,
                            CWE objAssigningAgencyOrDepratment,
                            java.lang.String strSecurityCheck,
                            java.lang.String strSecurityCheckScheme)

      Set the Certified By. This field contains the party that approved the certification.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addCertifiedBy

          public void addCertifiedBy(XCN objCertifiedBy)

      Set the Certified By. This field contains the party that approved the certification.
      Parameters:
        `objCertifiedBy` -

    - #### setCertifiedBy

          public void setCertifiedBy(ISingleCollection<XCN> objCertifiedByList)

      Set the CertifiedBy list.
      Parameters:
        `objCertifiedByList` - List of CertifiedBy

    - #### setDays

          public void setDays(CWE objDayType,
                     java.lang.String strNumberOfDays)

      Set the Days. This field contains the number of days for which this certification is valid. This field applies to denied, pending, or approved days.
      Parameters:
        `objDayType` - Specifies whether the days are denied, pending, or approved.
        `strNumberOfDays` - Specifies the number of days for which the certificationification is valid.

    - #### setDays

          public void setDays(DTN objdays)

      Set the Days. This field contains the number of days for which this certification is valid. This field applies to denied, pending, or approved days.
      Parameters:
        `objdays` -

    - #### setNonConcurCodeOrDesc

          public void setNonConcurCodeOrDesc(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Non Concur Code Or Desc. This field contains the non-concur code and description for a denied request.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setNonConcurCodeOrDesc

          public void setNonConcurCodeOrDesc(CWE objnonConcurCodeOrDesc)

      Set the Non Concur Code Or Desc. This field contains the non-concur code and description for a denied request.
      Parameters:
        `objnonConcurCodeOrDesc` -

    - #### setnonConcurEffectiveDtOrTm

          public void setnonConcurEffectiveDtOrTm(java.lang.String strTime)

      Set the Non Concur Effective Dt Or Tm. This field contains the effective date of the non-concurrence classification.
      Parameters:
        `strTime` - The point in time

    - #### setnonConcurEffectiveDtOrTm

          public void setnonConcurEffectiveDtOrTm(DTM objnonConcurEffectiveDtOrTm)

      Set the Non Concur Effective Dt Or Tm. This field contains the effective date of the non-concurrence classification.
      Parameters:
        `objnonConcurEffectiveDtOrTm` -

    - #### addOperator

          public void addOperator(java.lang.String strIDNumber,
                         FN objFamilyName,
                         java.lang.String strGivenName,
                         java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                         java.lang.String strSuffix,
                         java.lang.String strPrefix,
                         CWE objSourceTable,
                         HD objAssigningAuthority,
                         java.lang.String strNameTypeCode,
                         java.lang.String strIdentifierCheckDigit,
                         java.lang.String strCheckDigitScheme,
                         java.lang.String strIdentifierTypeCode,
                         HD objAssigningFacility,
                         java.lang.String strNameRepresentationCode,
                         CWE objNameContext,
                         java.lang.String strNameAssemblyOrder,
                         java.lang.String strEffectiveDate,
                         java.lang.String strExpirationDate,
                         java.lang.String strProfessionalSuffix,
                         CWE objAssigningJurisdiction,
                         CWE objAssigningAgencyOrDepratment,
                         java.lang.String strSecurityCheck,
                         java.lang.String strSecurityCheckScheme)

      Set the Operator. This field contains the name party who is responsible for sending this certification information.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addOperator

          public void addOperator(XCN objOperator)

      Set the Operator. This field contains the name party who is responsible for sending this certification information.
      Parameters:
        `objOperator` -

    - #### setOperator

          public void setOperator(ISingleCollection<XCN> objOperatorList)

      Set the Operator list.
      Parameters:
        `objOperatorList` - List of Operator

    - #### setPenalty

          public void setPenalty(java.lang.String strMoneyOrPercentageIndicator,
                        java.lang.String strMoneyOrPercentageQuantity,
                        java.lang.String strCurrencyDenomination)

      Set the Penalty. This field contains the penalty, in dollars or a percentage that will be assessed if the pre-certification is not performed.
      Parameters:
        `strMoneyOrPercentageIndicator` - Specifies whether the amount is currency or a percentage (AT/PC)
        `strMoneyOrPercentageQuantity` - Specifies the currency or percentage quantity
        `strCurrencyDenomination` - The denomination in which the quantity is expressed

    - #### setPenalty

          public void setPenalty(MOP objpenalty)

      Set the Penalty. This field contains the penalty, in dollars or a percentage that will be assessed if the pre-certification is not performed.
      Parameters:
        `objpenalty` -

    - #### addPhysicianReviewer

          public void addPhysicianReviewer(java.lang.String strIDNumber,
                                  FN objFamilyName,
                                  java.lang.String strGivenName,
                                  java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                  java.lang.String strSuffix,
                                  java.lang.String strPrefix,
                                  CWE objSourceTable,
                                  HD objAssigningAuthority,
                                  java.lang.String strNameTypeCode,
                                  java.lang.String strIdentifierCheckDigit,
                                  java.lang.String strCheckDigitScheme,
                                  java.lang.String strIdentifierTypeCode,
                                  HD objAssigningFacility,
                                  java.lang.String strNameRepresentationCode,
                                  CWE objNameContext,
                                  java.lang.String strNameAssemblyOrder,
                                  java.lang.String strEffectiveDate,
                                  java.lang.String strExpirationDate,
                                  java.lang.String strProfessionalSuffix,
                                  CWE objAssigningJurisdiction,
                                  CWE objAssigningAgencyOrDepratment,
                                  java.lang.String strSecurityCheck,
                                  java.lang.String strSecurityCheckScheme)

      Set the Physician Reviewer. This field contains the physician who works with and reviews cases that are pending physician review for the certification agency. Multiple names for the same person may be sent in this sequence.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addPhysicianReviewer

          public void addPhysicianReviewer(XCN objPhysicianReviewer)

      Set the Physician Reviewer. This field contains the physician who works with and reviews cases that are pending physician review for the certification agency. Multiple names for the same person may be sent in this sequence.
      Parameters:
        `objPhysicianReviewer` -

    - #### setPhysicianReviewer

          public void setPhysicianReviewer(ISingleCollection<XCN> objPhysicianReviewerList)

      Set the PhysicianReviewer list.
      Parameters:
        `objPhysicianReviewerList` - List of PhysicianReviewer

    - #### addPrecertificationRequirement

          public void addPrecertificationRequirement(CWE objCertificationPatientType,
                                            java.lang.String strcertificationRequired,
                                            DTM objDateOrTimecertificationRequired)

      Set the Precertification Requirement. This field indicates whether pre-certification is required for particular patient types, and the time window for obtaining the certification.
      Parameters:
        `objCertificationPatientType` - Specifies Patient Type
        `strcertificationRequired` - Specifies certificationification is required or not
        `objDateOrTimecertificationRequired` - Specifies Date/Time by which pre-certificationification must be obtained

    - #### addPrecertificationRequirement

          public void addPrecertificationRequirement(ICD objPrecertificationRequirement)

      Set the Precertification Requirement. This field indicates whether pre-certification is required for particular patient types, and the time window for obtaining the certification.
      Parameters:
        `objPrecertificationRequirement` -

    - #### setPrecertificationRequirement

          public void setPrecertificationRequirement(ISingleCollection<ICD> objPrecertificationRequirementList)

      Set the PrecertificationRequirement list.
      Parameters:
        `objPrecertificationRequirementList` - List of PrecertificationRequirement

    - #### setSecondOpinionDate

          public void setSecondOpinionDate(java.lang.String strSecondOpinionDate)

      Set the Second Opinion Date. This field contains the date that the second opinion is obtained.
      Parameters:
        `strSecondOpinionDate` - Specifies date that the second opinion was obtained

    - #### setSecondOpinionDate

          public void setSecondOpinionDate(DT objsecondOpinionDate)

      Set the Second Opinion Date. This field contains the date that the second opinion is obtained.
      Parameters:
        `objsecondOpinionDate` - Specifies date that the second opinion was obtained

    - #### addSecondOpinionDocumentationReceived

          public void addSecondOpinionDocumentationReceived(java.lang.String strIdentifier,
                                                   java.lang.String strText,
                                                   java.lang.String strNameOfCodingSystem,
                                                   java.lang.String strAlternateIdentifier,
                                                   java.lang.String strAlternateText,
                                                   java.lang.String strNameOfAlternateCodingSystem,
                                                   java.lang.String strCodingSystemVersionID,
                                                   java.lang.String strAlternateCodingSystemVersionId,
                                                   java.lang.String strOriginalText,
                                                   java.lang.String strSecondAlternateIdentifier,
                                                   java.lang.String strSecondAlternateText,
                                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                                   java.lang.String strCodingSystemOID,
                                                   java.lang.String strValueSetOID,
                                                   java.lang.String strValueSetVersionID,
                                                   java.lang.String strAlternateCodingSystemOID,
                                                   java.lang.String strAlternateValueSetOID,
                                                   java.lang.String strAlternateValueSetVersionID,
                                                   java.lang.String strSecondAlternateCodingSystemOID,
                                                   java.lang.String strSecondAlternateValueSetOID,
                                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Second Opinion Documentation Received. This field if accompanying documentation has been received by the provider.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSecondOpinionDocumentationReceived

          public void addSecondOpinionDocumentationReceived(CWE objSecondOpinionDocumentationReceived)

      Set the Second Opinion Documentation Received. This field if accompanying documentation has been received by the provider.
      Parameters:
        `objSecondOpinionDocumentationReceived` - No suggested Values specified

    - #### setSecondOpinionDocumentationReceived

          public void setSecondOpinionDocumentationReceived(ISingleCollection<CWE> objSecondOpinionDocumentationReceivedList)

      Set the SecondOpinionDocumentationReceived list.
      Parameters:
        `objSecondOpinionDocumentationReceivedList` - List of SecondOpinionDocumentationReceived

    - #### addSecondOpinionPhysician

          public void addSecondOpinionPhysician(java.lang.String strIDNumber,
                                       FN objFamilyName,
                                       java.lang.String strGivenName,
                                       java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                       java.lang.String strSuffix,
                                       java.lang.String strPrefix,
                                       CWE objSourceTable,
                                       HD objAssigningAuthority,
                                       java.lang.String strNameTypeCode,
                                       java.lang.String strIdentifierCheckDigit,
                                       java.lang.String strCheckDigitScheme,
                                       java.lang.String strIdentifierTypeCode,
                                       HD objAssigningFacility,
                                       java.lang.String strNameRepresentationCode,
                                       CWE objNameContext,
                                       java.lang.String strNameAssemblyOrder,
                                       java.lang.String strEffectiveDate,
                                       java.lang.String strExpirationDate,
                                       java.lang.String strProfessionalSuffix,
                                       CWE objAssigningJurisdiction,
                                       CWE objAssigningAgencyOrDepratment,
                                       java.lang.String strSecurityCheck,
                                       java.lang.String strSecurityCheckScheme)

      Set the Second Opinion Physician. This field contains an identifier and name of the physician who provided the second opinion. Multiple names and identifiers for the same person may be sent in this sequence.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addSecondOpinionPhysician

          public void addSecondOpinionPhysician(XCN objSecondOpinionPhysician)

      Set the Second Opinion Physician. This field contains an identifier and name of the physician who provided the second opinion. Multiple names and identifiers for the same person may be sent in this sequence.
      Parameters:
        `objSecondOpinionPhysician` -

    - #### setSecondOpinionPhysician

          public void setSecondOpinionPhysician(ISingleCollection<XCN> objSecondOpinionPhysicianList)

      Set the SecondOpinionPhysician list.
      Parameters:
        `objSecondOpinionPhysicianList` - List of SecondOpinionPhysician

    - #### setSecondOpinionStatus

          public void setSecondOpinionStatus(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Second Opinion Status. This field contains the code that represents the status of the second opinion.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSecondOpinionStatus

          public void setSecondOpinionStatus(CWE objsecondOpinionStatus)

      Set the Second Opinion Status. This field contains the code that represents the status of the second opinion.
      Parameters:
        `objsecondOpinionStatus` - Specifies the status of the second opinion

    - #### setSetID_IN3

          public void setSetID_IN3(java.lang.String strSequenceID)

      Set the Set ID IN3. This field contains the number that identifies this transaction.
      Parameters:
        `strSequenceID` - Specifies the sequence number

    - #### setSetID_IN3

          public void setSetID_IN3(SI objsetID_IN3)

      Set the Set ID IN3. This field contains the number that identifies this transaction.
      Parameters:
        `objsetID_IN3` - Specifies the sequence number

    - #### setCertificationType

          public void setCertificationType(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Certification Type. This field contains the certification type code for a specific certification.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCertificationType

          public void setCertificationType(CWE objCertificationType)

      Set the Certification Type. This field contains the certification type code for a specific certification.
      Parameters:
        `objCertificationType` - Used as CertificationType.

    - #### setCertificationCategory

          public void setCertificationCategory(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Certification Category. This field contains the certification category code for a specific certification.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCertificationCategory

          public void setCertificationCategory(CWE objCertificationCategory)

      Set the Certification Category. This field contains the certification category code for a specific certification.
      Parameters:
        `objCertificationCategory` - Used as CertificationCategory.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails